.playfair-display-900 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
}
.playfair-display-800 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 800;
  font-style: normal;
}
.playfair-display-700 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}
.playfair-display-600 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}
.playfair-display-500 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}
.playfair-display-400 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

h1,
h2 {
  font-family: "Playfair Display";
}

p {
    line-height: 1.5 !important;
}

.gradient-static {
  background: linear-gradient(90deg, #67e8f9 0%, #34d399 100%);
}

.gradient-move {
  background: linear-gradient(90deg, #67e8f9 0%, #34d399 50%, #67e8f9 100%);
  background-size: 200% 100%;
  animation: gradient-text-animation 8s 8;
  animation-fill-mode: forwards;
}

@keyframes gradient-text-animation {
  from {
    background-position: 0 0;
  }

  to {
    background-position: 200% 100%;
  }
}

main section:hover:first-of-type {
  animation-play-state: paused;
}

.bg-logo-clouds-line {
    background-image: linear-gradient(90deg, #cbd5e1, rgba(156, 163, 175, 0) 39.47%, rgba(156, 163, 175, 0) 50%, rgba(156, 163, 175, 0) 60.51%, #cbd5e1);
}

.pop-text {
  color: #fff;
  font-size: 8rem;
  font-weight: 800;
  letter-spacing: -0.1em;
  line-height: 1.4;
  padding: 0 0.25em;
  text-shadow: 0.1vw 0.1vw #4f4f4f55, 0.1vw -0.1vw #4f4f4f55,
    -0.1vw 0.1vw #4f4f4f55, -0.1vw -0.1vw #4f4f4f55;
}

@supports ((background-clip: text) and (-webkit-text-stroke: 5vw)) {
  .pop-text {
    background: linear-gradient(160deg, #d459ab 0%, #ffdf37 50%, #a6fffa 90%);
    background-clip: text;
    -webkit-text-stroke: 5vw transparent;
  }
}

.arrow-btn {
  position: relative;
  display: inline-block;
  cursor: pointer;
  outline: none;
  border: 0;
  vertical-align: middle;
  text-decoration: none;
  background: transparent;
  padding: 0;
  font-size: inherit;
  font-family: inherit;
  width: 16rem;
}

.arrow-btn .circle {
  transition: all 0.75s cubic-bezier(0.65, 0, 0.076, 1);
  position: relative;
  display: block;
  margin: 0;
  width: 3rem;
  height: 3rem;
  background: #334155;
  border-radius: 1.625rem;
}

.arrow-btn .circle .icon {
  transition: all 0.75s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  background: #fff;
}

.arrow-btn .circle .icon.arrow {
  transition: all 0.75s cubic-bezier(0.65, 0, 0.076, 1);
  left: 0.625rem;
  width: 1.125rem;
  height: 0.125rem;
  background: none;
}

.arrow-btn .circle .icon.arrow::before {
  position: absolute;
  content: "";
  top: -0.25rem;
  right: 0.0625rem;
  width: 0.625rem;
  height: 0.625rem;
  border-top: 0.125rem solid #fff;
  border-right: 0.125rem solid #fff;
  transform: rotate(45deg);
}

.arrow-btn .button-text {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  top: 0;
  left: 2rem;
  bottom: 0;
  padding: 0.75rem 0;
  margin: 0 0 0 1.85rem;
  font-weight: 700;
  line-height: 1.3;
  text-align: center;
  text-transform: uppercase;
}

.arrow-btn:hover .circle,
.arrow-btn:active .circle,
.arrow-btn:focus .circle {
  width: 100%;
  background: #166534;
}

.arrow-btn:hover .circle .icon.arrow,
.arrow-btn:active .circle .icon.arrow,
.arrow-btn:focus .circle .icon.arrow {
  background: #fff;
  transform: translate(1rem, 0);
}

.arrow-btn:hover .button-text,
.arrow-btn:active .button-text,
.arrow-btn:focus .button-text {
  color: #fff;
}

.word-carousel div {
  overflow: hidden;
  position: relative;
  height: 4rem;
  padding-top: 10px;
  margin-top: -10px;
}

.word-carousel h2,
.word-carousel ul {
  width: 100%;
}

.word-carousel li {
  padding: 0 10px;
  height: 45px;
  margin-bottom: 45px;
  display: block;
}

.flip-text {
  animation: fliptext 8s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
}

@keyframes fliptext {
  0% {
    margin-top: -450px;
  }

  5% {
    margin-top: -360px;
  }

  20% {
    margin-top: -360px;
  }

  25% {
    margin-top: -270px;
  }

  40% {
    margin-top: -270px;
  }

  45% {
    margin-top: -180px;
  }

  60% {
    margin-top: -180px;
  }

  65% {
    margin-top: -90px;
  }

  80% {
    margin-top: -90px;
  }

  85% {
    margin-top: 0px;
  }

  99.99% {
    margin-top: 0px;
  }

  100% {
    margin-top: -450px;
  }
}

@media (max-width:700) {

}

.vh-full {
  height: 100vh;
}

/** Animate Box Border **/
@property --bg-angle {
  inherits: false;
  initial-value: 0deg;
  syntax: "<angle>";
}

@keyframes spin {
  to {
    --bg-angle: 360deg;
  }
}

.animate-border {
  animation: spin 2s infinite linear paused;
  border: 3px solid transparent;
}

.animate-border.border-emerald-700 {
    border-color: #047857;
}

.animate-border:hover, .animate-border:focus {
  animation-play-state: running;
  border: 3px solid transparent !important;
  background: linear-gradient(to bottom, #fff 0%, #fff 100%) padding-box,
    conic-gradient(from var(--bg-angle), #67e8f9 0%, #34d399 100%) border-box;
}

.animate-border:active {
   background: #047857;
   color: white; 
}

/** Underline text on hover **/

.highlight-text p:first-of-type span,
.highlight-text a.highlight,
.highlight-text h2 {
	background: 
		linear-gradient(to right, rgba(100, 200, 200, 1), rgba(100, 200, 200, 1)),
		linear-gradient(90deg, #67e8f9 0%, #34d399 50%, #67e8f9 100%);
	background-size: 100% 0, 0 1.5em;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
	transition: all 500ms;
	
}

.highlight-text:hover p:first-of-type span,
.highlight-text:hover a.highlight,
.highlight-text:hover h2 {
	background-size: 0 0, 100% 1.5em;
    padding: 0 2px;
}

.highlight-text:hover a.highlight {
    padding: 0 4px;
    color: white;
}

.highlight-text h2 {
  display: inline-block;
  background-size: 100% 0, 0 0.2em;
  padding-bottom: 10px;
}

.highlight-text:hover h2 {
	background-size: 0 0, 100% 0.2em;
  padding: 0 2px 10px;
}

#mini-apps a svg {
  margin-left: 0;
  transition: margin ease .5s;
}

#mini-apps a:hover svg {
  margin-left: 5px;
  transition-delay: .4s;
}

.fade-item {
  transition: all .2s;
}

.portfolio-card {
  position: relative;
}

.portfolio-card a::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  content: "";
}